#!/bin/bash
#
# (C) Copyright IBM Corporation 2006.
#       Released under GPL v2.
#       Author : Joel Diaz(joeldiaz@us.ibm.com)
#
# VERSION: 0.01
#
# contributions from Don. S. Lee (donslee@us.ibm.com)
#
IBM_DRV_TL="/usr/local/bin/ibm-driver-tool.pl"
RPM_HOME="tools"
DRV_RPM="$(find ${RPM_HOME}/ -type f -name ibm-driver-tools*.rpm)"
INSTALL_OPTIONS="--yes $@"

if [ -f ${DRV_RPM} ]
then
	rpm -Uvh ${DRV_RPM} > /dev/null 2>&1
else
	echo -e "\ninstall.sh: ${RPM_HOME}/ibm-driver-tools rpm not found"
	exit 1
fi

if [ $? -gt 0 ] && [ ! -f ${IBM_DRV_TL} ]
then
	echo -e "\ninstall.sh: ibm-driver-tools failed to install."
	echo -e "This installation requires the following:"
	rpm -qp --requires ${DRV_RPM}
	exit 1
else
	${IBM_DRV_TL} ${INSTALL_OPTIONS}
	EXIT_CODE=$?
fi

exit ${EXIT_CODE}
